## NAME

g.extension.all.py - Rebuilds or removes all locally installed GRASS Addons extensions.
By default only extensions built against different GIS Library are rebuilt.

## KEYWORDS

general, installation, extensions

## SYNOPSIS

g.extension.all.py
g.extension.all.py --help
g.extension.all.py [-f] [operation=string] [--help] [--verbose] [--quiet] [--ui]

### Flags:

-f
  Force operation (required for removal)
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

operation=string
  Operation to be performed
  Options: rebuild, remove
  Default: rebuild

## DESCRIPTION

g.extension.rebuild.all reinstalls and updates all locally installed GRASS Addons extensions in local GRASS installation. The extensions can be installed by g.extension. List of locally installed extensions can be printed by `g.extension -a`.

## EXAMPLES

Rebuild locally installed extensions which were built against different GIS Library (see `g.version -r`)

    g.extension.rebuild.all

Force to rebuild all locally installed extensions

    g.extension.rebuild.all -f

## SEE ALSO

g.extension

See also GRASS Addons wiki page.

## AUTHOR

Martin Landa, Czech Technical University in Prague, Czech Republic

## SOURCE CODE

Available at: g.extension.all source code (history)

Accessed: Sunday Sep 03 20:27:21 2023

Main index | General index | Topics index | Keywords index | Graphical index | Full index

© 2003-2023 GRASS Development Team, GRASS GIS 7.8.8 Reference Manual